% ***********************************************************************
%
%    This file is part of
%    FEINS, Finite Element Incompressible Navier-Stokes solver,
%    which is expanding to a more general FEM solver and toolbox,
%    Copyright (C) 2003--2008, Rene Schneider 
%    <rene.schneider@mathematik.tu-chemnitz.de>
% 
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
% 
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
% 
%    You should have received a copy of the GNU General Public License
%    along with this program. If not, see <http://www.gnu.org/licenses/>.
%
%    Minor contributions to this program (for example bug-fixes and
%    minor extensions) by third parties automatically transfer the
%    copyright to the general author of FEINS, to maintain the
%    possibility of commercial re-licensing. If you contribute but wish
%    to keep the copyright of your contribution, make that clear in
%    your contribution!
% 
%    Non-GPL licenses to this program are available upon request from
%    the author.
%
% ***********************************************************************



if (~exist('donlp2'))
  error('done addpath donlp2 dir?')
end

% init 

global rpar0; global level0; global level; 
global ref_stop; global ref_vx_max; global alpha;

alpha=10.0;

% !!!!!!!!! the combinations of level, ref_stop and ref_vx_max
% should stay fixed, as only level is used for the histfiles !!!!!!!!!
%level0=0; level=0; ref_stop=1e+3; ref_vx_max=1000;
level0=0; level=15; ref_stop=1e+2; ref_vx_max=10000;
%level0=0; level=30; ref_stop=1e+1; ref_vx_max=100000;
%level0=0; level=45; ref_stop=1e+0; ref_vx_max=1000000;
%level0=0; level=50; ref_stop=1e-1; ref_vx_max=1500000;
[crit0,dcrit0]=pedcrank2_eval([]);
% pedcrank_constr.m also fits pedcrank2, using only Crpar,drpar
[rpar,fevals,hist]=donlp2(rpar0,@pedcrank2_eval,@pedcrank_constr);

%level0=0; level=35;
%[crit0,dcrit0]=pedcrank2_eval([]);
% pedcrank_constr.m also fits pedcrank2, using only Crpar,drpar
%[rpar,fevals,hist]=donlp2(rpar,@pedcrank2_eval,@pedcrank_constr);
